.eventsList .upcomingEvent {
    padding-bottom: 4rem;
}
.eventsList .upcomingEvent .eventGrid{
    display:flex;
    align-items: center;
    gap: 5rem;
    margin-bottom: 5rem;
}

.eventsList .upcomingEvent .eventGrid .pic {
    border-radius: 25px;
    overflow: hidden;
    position: relative;
    height:100%;
    flex:0 0 50%;
    max-width: 50%;
}

@media screen and ( max-width:768px){
    .eventsList .upcomingEvent .eventGrid .pic {
    flex:0 0 100%;
    max-width: 100%;
}
}

.eventsList .upcomingEvent .eventGrid .pic img{
    height:100%;
}
.eventsList .upcomingEvent .eventGrid .pic:before {
    content:"";
    position:absolute;
    width:100%;
    height: 100%;
    background-image: linear-gradient(0deg, #0000006e, transparent);
    bottom: 0;
    left: 0;
}

.eventsList .upcomingEvent .eventGrid .date {
    position: absolute;
    top: 1.5rem;
    left: 2rem;
    color: #a0387b;
    font-weight: 700;
    background: #fffffff7;
    padding: 10px 15px;
    font-size: 15px;
    line-height: 1;
    display: flex;
    align-items: center;
    gap: 5px;
    border-radius: 50px;
    backdrop-filter: blur(30px);
}

.eventsList .upcomingEvent .eventGrid .name {
    position: absolute;
    bottom: 1.5rem;
    left: 2rem;
    color: #fff;
    font-weight: 600;
    font-size:24px;
}

.eventsList .upcomingEvent .eventGrid .content {
    border: 1px solid #a0387b57;
    padding: 3rem 2.5rem;
    border-radius: 2.5rem;
    position: relative;
    transition:all 0.4s;
    background:#fff;
    flex:0 0 50%;
    max-width: 50%;
}

@media screen and ( max-width:768px){
    .eventsList .upcomingEvent .eventGrid .content {
    flex:0 0 100%!important;
    max-width: 100%!important;
}
}

@media screen and (max-width:1399.9px){
    .eventsList .upcomingEvent .eventGrid .content{
        padding:2rem;
    }
}

.eventsList .upcomingEvent .eventGrid .content:hover{
    box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
}
.eventsList .upcomingEvent .eventGrid .content:before {
    content:"";
    position:absolute;
    left: -5.1rem;
    width: 5.15rem;
    height: 0.5px;
    top: 30%;
    background: #a0387b57;
}

.eventsList .upcomingEvent .eventGrid .content:after{
    content: "";
    background: #a0387b;
    width: 20px;
    height: 20px;
    border-radius: 50%;
    border: 3px solid #fff;
    outline: 2px solid #a0387b;
    top: 20px;
    left: -61px;
    position: absolute;
    animation:pulse-animation .4s ease-in-out infinite alternate;
}
@keyframes pulse-animation {
  0% {
    background:#a0387b;
  }
  100% {
    background:#fff;
  }
}

@keyframes pulse-animation-blue {
  0% {
    background:#285992;
  }
  100% {
    background:#fff;
  }
}


.eventsList .upcomingEvent .eventGrid .content h6.theme {
    background: #a0387b36;
    display: block;
    max-width: max-content;
    padding: .7rem 2rem;
    border-radius: 40px;
    font-weight: 500;
    font-size: 16px;
    color: #a0387b;
}

.eventsList .upcomingEvent .eventGrid .content span.venue {
    font-size: 14px;
    background: #cccccc63;
    padding: .75rem 2rem;
    display: inline-block;
    font-weight:500;
    text-align: center;
    border-radius: 5rem;
    margin: 0.5rem 0 2rem;
}

.eventsList .upcomingEvent .eventGrid .content .linkGrid {
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap:wrap;
    margin-top:15px;
    gap:10px;
}

@media screen and (max-width:372px){
    .eventsList .upcomingEvent .eventGrid .content .linkGrid{
        justify-content:center;
    }
}

.eventsList .upcomingEvent .eventGrid .content .linkGrid a.takeBrochure {
    color: #a0387b;
    font-weight: 700;
    border-bottom: 1px dashed;
    padding: 0 5px;
    font-size: 14px;
}

.eventsList .upcomingEvent .eventGrid .content .linkGrid a.blue {
    background: #a0387b;
    color: #fff;
    padding: 5px 25px;
    display: inline-block;
    border-radius: 4rem;
}
@media screen and (max-width:1200px){
    .eventsList .upcomingEvent .eventGrid .content {
    flex:0 0 55%;
    max-width: 55%;
}
.eventsList .upcomingEvent .eventGrid .content {
    flex:0 0 45%;
    max-width: 45%;
}
    .eventsList .upcomingEvent .eventGrid{
         gap: 3rem;
    }
    .eventsList .upcomingEvent .eventGrid .content:after{
        left:-42px;
    }
}
@media screen and (max-width:992px){
    .eventsList .upcomingEvent .eventGrid{
         flex-direction: column;
         gap: 3rem;
    }
    .eventsList .upcomingEvent .eventGrid .content:after{
        right:0;
        top:0;
        left:auto;
    }
}
@media screen and (min-width:992px){
    .eventsList .upcomingEvent .eventGrid:nth-child(even){
        flex-direction: row-reverse;
    }
    .eventsList .upcomingEvent .eventGrid:nth-child(even) .content:after{
        right:-61px;
        left:auto;
    }
    .eventsList .upcomingEvent .eventGrid:nth-child(even) .content:before{
        right: -5.1rem;
        left:auto;
    }
}
.pastEvents{
    background: #f5f5f5;
}
.pastEvents h6.headingQuartery.blue {
    background: #91d8f791;
    display: inline-block;
    padding: 8px 20px;
    border-radius: 50px;
}
.pastEvents h6.headingQuartery.blue i{
    font-size: 7px;
    margin: 0 8px 0 0;
    position: relative;
    bottom: 3px;
}
.blue .headingPrimary, .blue .date, .blue h6.theme, .blue a.takeBrochure {
    color: #285992 !important;
}

.eventsList.blue .upcomingEvent .eventGrid .content:after {
    outline-color: #285992 !important;
    animation:pulse-animation-blue .4s ease-in-out infinite alternate;
}

.eventsList.blue .upcomingEvent .eventGrid .content .linkGrid a.blue {
    background: #285992;
}

.eventsList.blue .upcomingEvent .eventGrid .content h6.theme {
    background: #2859921c;
}

.pastEventGrid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 20px;
    grid-auto-rows: 450px;
}


.pastEventGrid .pastEventGridItem.wide {
    grid-column: span 2;
}

@media screen and (max-width:992px) {
    .pastEventGrid{
        grid-template-columns: repeat(1, 1fr);
    }
    .pastEventGrid .pastEventGridItem.wide {
    grid-column: auto;
}
}
.pastEventGrid .pastEventGridItem{
    height:100%;
}

.pastEventGrid .eventBox {
    position: relative;
    overflow: hidden;
    border-radius: 20px;
    height:100%;
}

.pastEventGrid .eventBox img{
    height:100%;
    width: 100%;
    object-fit: cover;
    object-position: 100%;
}

.pastEventGrid .content {
    position: absolute;
    bottom: 30px;
    left: 10px;
}
.pastEventGrid .wide .content {
    position: absolute;
    bottom: 30px;
    left: 30px;
}

.pastEventGrid .content .location {
    display: flex;
    align-items: center;
    gap: 10px;
    margin-bottom: 10px;
    flex-wrap: wrap;
}

.pastEventGrid .content .location span:first-child {
    display: inline-flex;
    align-items:center;
    gap:3px;
    background: #fff;
    padding: 4px 15px;
    border-radius: 30px;
    font-size: 14px;
    font-weight: 600;
}

.pastEventGrid .content .location span:last-child {
    display: inline-flex;
    align-items:center;
    gap:3px;
    color: #fff;
    background:#285992;
    padding: 4px 15px;
    border-radius: 30px;
    font-size: 14px;
    font-weight: 600;
}

.pastEventGrid .content h2.heads {
    font-weight: 700;
    color: #fff;
    font-size: 26px;
    margin:15px 0;
}

.pastEventGrid .content p {
    color: #fff;
}

.pastEventGrid .content a.viewGallery {
    display: inline-block;
    color: #000;
    background: #fff;
    padding: 8px 30px;
    border-radius: 40px;
}

.pastEventGrid .eventBox:before {
    content:"";
    background-image: linear-gradient(0deg, #00000096, transparent);
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.eventGallery .eGalleryGrid {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 15px;
}

@media screen and (max-width:992px) {
    .eventGallery .eGalleryGrid{
        grid-template-columns: repeat(3, 1fr);
    }
}

@media screen and (max-width:768px) {
    .eventGallery .eGalleryGrid{
        grid-template-columns: repeat(2, 1fr);
    }
}

@media screen and (max-width:500px) {
    .eventGallery .eGalleryGrid{
        grid-template-columns: repeat(1, 1fr);
    }
}

.eventGallery .eGalleryGrid figure {
    display: block;
    margin-bottom: 0;
}

.eventGallery .eGalleryGrid figure a {
    display: block;
    position: relative;
    overflow:hidden;
    border-radius:3px;
    height: 210.9px;
}

.eventGallery .eGalleryGrid figure a img{
    height: 100%;
    width: 100%;
    transition:all 0.5s;
}

.eventGallery .eGalleryGrid figure a:before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #c4619c3b;
    opacity: 0;
    z-index: 1;
    transition: all 0.5s;
}

.eventGallery .eGalleryGrid figure a:after {
    content: "\f00e";
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%) scale(3);
    color: #ffffff;
    font-family: "Font Awesome 6 Free";
    font-weight: 800;
    font-size: 20px;
    z-index: 2;
    transition: all 0.5s;
    opacity: 0;
}

.eventGallery .eGalleryGrid figure a:hover::before {
    opacity: 1;
}

.eventGallery .eGalleryGrid figure a:hover::after {
    opacity: 1;
    transform:translate(-50%, -50%) scale(1);
}

.eventGallery .eGalleryGrid figure a:hover img{
    transform:scale(1.1) rotate(-2deg);
}